package com.hotent.baseInfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.query.PageList;
import com.hotent.baseInfo.model.AuditedUnit;
import com.hotent.baseInfo.req.AuditedUnitPageReq;
import com.hotent.baseInfo.resp.AuditedUnitDetailResp;

import java.util.List;

public interface AuditedUnitManager extends BaseManager<AuditedUnit> {
    List<AuditedUnit> listByRegionAndName( String unitId);

    boolean toggleStatus(String unitId, Integer enable);
    boolean deleteLogical(String unitId);
    /**
     * 新增或更新被监审单位
     */
    void createOrUpdate(AuditedUnit unit);

    //分页查询
    IPage<AuditedUnit> auditUnitPage(AuditedUnitPageReq req);

    //详情
    AuditedUnitDetailResp detail(String unitId);

    PageList<AuditedUnit> pageList(AuditedUnitPageReq req) throws Exception;

    List<AuditedUnit> getList(String unitId) throws Exception;

    List<AuditedUnit> getByUserAccount(String account);
}


